import React from 'react'
import { cn } from '../lib/utils'

interface AppContainerProps {
  children: React.ReactNode
  className?: string
}

export function AppContainer({ children, className }: AppContainerProps) {
  return (
    <main className={cn('mx-auto min-h-screen w-full max-w-4xl bg-white', className)}>
      <div className="p-4">{children}</div>
    </main>
  )
}
